use std::thread;

fn main() {
    let v = vec![1, 2, 3];

    let handle = thread::spawn(move || {
        println!("Oto wektor: {:?}", v);
    });

    drop(v); // och, nie!

    handle.join().unwrap();
}
